## NAME

v.what - Queries a vector map layer at given locations.

## KEYWORDS

vector, querying

## SYNOPSIS

v.what
v.what help
v.what [-dag] map=name[,name,...] [east_north=east,north[,east,north,...]] [distance=float] [--verbose] [--quiet]

### Flags:

-d
  Print topological information (debugging)
-a
  Print attribute information
-g
  Print the stats in shell script style
--verbose
  Verbose module output
--quiet
  Quiet module output

### Parameters:

map=name[,name,...]
  Name of input vector map
east_north=east,north[,east,north,...]
  Coordinates for query
  If not given reads from standard input
distance=float
  Query threshold distance
  Default: 0

## DESCRIPTION

v.what outputs the category number value(s) associated with user-specified location(s) in user-specified vector map layer(s). This module was derived from the d.what.vect module by removing all interactive code and modification of the output for easy parsing. Using the -g flag generates script-style output which is easily parsable.

## EXAMPLE

North Carolina sample dataset example:

Query polygon at given position:

    v.what zipcodes_wake east_north=637502.25,221744.25

Find closest hospital to given position within given distance (search radius):

    v.what hospitals east_north=542690.4,204802.7 distance=2000000

## SEE ALSO

d.what.vect

## AUTHOR

Trevor Wiens
Edmonton, Alberta, Canada

Last changed: $Date: 2014-02-10 23:43:18 +0100 (po, 10 II 2014) $

Main index - vector index - Full index

© 2003-2014 GRASS Development Team